Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class GroovyCategorySupport.CategoryMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod
                  org.codehaus.groovy.runtime.metaclass.NewMetaMethod
                      org.codehaus.groovy.runtime.metaclass.NewInstanceMetaMethod
                          org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethod

All Implemented Interfaces:
  Comparable

    class GroovyCategorySupport.CategoryMethod
    extends NewInstanceMetaMethod

Field Summary

Fields inherited from class NewMetaMethod
EMPTY_TYPE_ARRAY, bytecodeParameterTypes

Fields inherited from class ReflectionMetaMethod
method

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`GroovyCategorySupport.CategoryMethod(CachedMethod metaMethod, Class metaClass)`

Method Summary
`int` | `compareTo(Object o)` Sort by most specific to least specific.
`boolean` | `isCacheable()`

Methods inherited from class NewInstanceMetaMethod
getModifiers, invoke, isStatic

Methods inherited from class NewMetaMethod
getBytecodeParameterTypes, getDeclaringClass, getOwnerClass

Methods inherited from class ReflectionMetaMethod
getDeclaringClass, getModifiers, getName, getPT, getReturnType, invoke, toString

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GroovyCategorySupport.CategoryMethod

    public GroovyCategorySupport.CategoryMethod(CachedMethod metaMethod, Class metaClass)

Method Detail

### compareTo

    public int compareTo(Object o)

  Sort by most specific to least specific.
  param:
    o the object to compare against

### isCacheable

    public boolean isCacheable()

Copyright © 2003-2009 The Codehaus. All rights reserved.